###########################################################################
#
# win32 makefile -- gdbmdel
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

GSDLHOME = ..\..\..\..
COMMON_DIR = ..\..\..

USE_STLPORT = 0
STLPATH = "$(COMMON_DIR)\packages\windows\stlport\stlport"

AR = lib
CC = cl
DEBUG = 0
GSDL_VC4 = 0

!IF $(DEBUG)
CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
!ELSE
CXXFLAGS =
!ENDIF

!IF $(GSDL_VC4)
CXXFLAGS = $(CXXFLAGS) -GX
!ELSE
CXXFLAGS = $(CXXFLAGS) -EHsc
!ENDIF

LDFLAGS =

DEFS = -D__WIN32__ -DHAVE_CONFIG_H
INCLUDES = -I"$(COMMON_DIR)\src\gdbmedit\gdbmdel" -I"$(COMMON_DIR)\src\lib" \
	   -I"$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3" -I"$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3\windows"
!IF $(USE_STLPORT)
DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
INCLUDES = $(INCLUDES) -I$(STLPATH)
!ENDIF

LIBS = "$(COMMON_DIR)\packages\gdbm\gdbm-1.8.3\gdbm.lib"

COMPILE = $(CC) -c $(CXXFLAGS) $(DEFS) $(INCLUDES)
LINK = $(CC) $(LDFLAGS)

.SUFFIXES:
.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $<

ANSI2KNR = 
o = .obj
e = .exe

HEADERS = 

SOURCES = gdbmdel.cpp

OBJECTS = gdbmdel$o

EXEC = gdbmdel$e

all : $(EXEC)

install: $(EXEC)
	if NOT EXIST "$(GSDLHOME)\bin\windows" mkdir "$(GSDLHOME)\bin\windows"
	copy $(EXEC) "$(GSDLHOME)\bin\windows"

clean:
	del *$o
	del $(EXEC)

gdbmdel$e: $(OBJECTS) $(LIBS)
	  $(LINK) $(OBJECTS) $(LIBS)
